Bug 586500 - Recurring - not reproducible - problem where refresh counter displays negative numbers
Recurring - not reproducible - problem where refresh counter displays negativ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.3.1
All Linux
high Severity urgent (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
:
: RHQ-2374 (view as bug list)
Depends On:
Blocks: jon-sprint10-bugs
  Show dependency treegraph
 
Reported: 2010-04-27 14:17 EDT by Len DiMaggio
Modified: 2010-08-12 12:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:45:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Counter displays (7.13 KB, application/octet-stream)
2010-04-27 14:18 EDT, Len DiMaggio
no flags Details
Screenshot (218.72 KB, image/png)
2010-04-27 14:19 EDT, Len DiMaggio
no flags Details
Screenshot-2 (126.70 KB, image/png)
2010-04-27 14:20 EDT, Len DiMaggio
no flags Details
Another screenshot (291.16 KB, image/png)
2010-05-04 19:36 EDT, Len DiMaggio
no flags Details

  None (edit)
Description Len DiMaggio 2010-04-27 14:17:06 EDT
Description of problem:

I'm seeing this problem (see attached screenshots) where if the refresh counter is set to 1 minute, the counter goes from 60 to 0 then into negative numbers. When the UI is in this state, the refresh counter cannot be altered or stopped. The only way to make it stop is to close and re-open the browser. Nothing is written to the server log while this happens.

Version-Release number of selected component (if applicable):
JBoss Operations Network
version: 2.3.1.CR1
build number: 10561 

How reproducible:
10-20%

Steps to Reproduce:
1. Set the refresh counter and wait and observe
2.
3.
  
Actual results:
The counter goes negative.

Expected results:


Additional info:

See screenshots.
Comment 1 Len DiMaggio 2010-04-27 14:18:12 EDT
Created attachment 409544 [details]
Counter displays
Comment 2 Len DiMaggio 2010-04-27 14:19:06 EDT
Created attachment 409545 [details]
Screenshot
Comment 3 Len DiMaggio 2010-04-27 14:20:33 EDT
Created attachment 409546 [details]
Screenshot-2
Comment 4 Len DiMaggio 2010-05-04 19:36:52 EDT
Created attachment 411432 [details]
Another screenshot
Comment 5 Charles Crouch 2010-05-05 11:22:48 EDT
(10:05:50 AM) ccrouch: jshaughn: didnt you fix this? https://bugzilla.redhat.com/show_bug.cgi?id=586500
(10:07:06 AM) jshaughn: i think I did fix that, yes, but that was in the perspective code for the core menu. That may have been lost when it was placed back as static code

We need to get this fix brought into 2.4 master branch
Comment 6 Charles Crouch 2010-05-18 00:49:19 EDT
Possibly related: 
https://bugzilla.redhat.com/show_bug.cgi?id=545596
Comment 7 Jay Shaughnessy 2010-05-25 16:07:03 EDT
Fixed: 2dccbf98d5dfb7931d1263f415e57927436397b4

I had originally fixed this in the perspective based xhtml for the core menu.  When that was reverted the fix was lost and a regression was introduced. I've re-applied the fix now to the non-perspective menu.xhtml.

Note, this problem is typically reproducible by waiting for the counter to just hit 0 and then either clicking on the refresh menu item again, or hitting f5.  A well timed strike will send the counter into negative values and also *freezes the server* as the gui then starts attacking it with refresh requests.
Comment 8 Sudhir D 2010-05-28 08:54:49 EDT
I verified this against Build# 169 Version: 2.4 SNAPSHOT. I did not see any -ve numbers displayed. 

Marking this bug as verified.
Comment 9 Jay Shaughnessy 2010-07-30 17:05:07 EDT
*** Bug 535706 has been marked as a duplicate of this bug. ***
Comment 10 Corey Welton 2010-08-12 12:45:18 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.